Warning alternates between default and specified warning
Closed, ResolvedPublic

Description

Author: Thorncrag

Description:
When a user saves and triggers a 'warn, disallow' filter and when system message is specified for that filter, the selected message is displayed, but if the user clicks save again, it then switches and displays the default abuse filter message. Clicking save again causes it to switch back to the selected message, and so forth.

I've tested this on both of my installations, unfortunately I don't have another I can test it on at this time.

Details

Reference
bz25086
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz25086.
bzimport created this task.Sep 7 2010, 2:52 AM

sumanah wrote:

Thorncrag, is this still happening? Thanks.

Thorncrag, is this still happening in a recent version of MediaWiki?

Thorncrag, is this still happening in a recent version of MediaWiki?

needs no testing, still happening. Toggles between warning and disallow state, -> between (custom) warnmessage and default disallow msg. Thing is, only for warning an admin can specify a custom system message.

I'm currently working on a new feature, which would solve this usecase/problem. soon on gerrit(TM) ;-)

Change 164987 had a related patch set uploaded by Se4598:
Allow selecting custom disallow message

https://gerrit.wikimedia.org/r/164987

Change 164987 had a related patch set uploaded (by Qgil):
Allow selecting custom disallow message

https://gerrit.wikimedia.org/r/164987

Patch-For-Review

So I didn't find this task and just filed another duplicate (T138435), with a duplicate patch (https://gerrit.wikimedia.org/r/295596). It seems pretty similar to the one here (https://gerrit.wikimedia.org/r/164987), but with noticeably fewer changes – I'm not sure if I missed things, or if @Se4598's patch has additional changes apart from fixing this bug.

(I abandoned my patch and refurbished @Se4598's.)

matmarex removed a subscriber: matmarex.Apr 5 2018, 5:30 PM

@Daimona, thanks:)

Are there any solutions to this problem?

@Iniquity Yes, there's a patch under review since 2014 which I picked up some time ago.

Se4598 reassigned this task from Se4598 to Daimona.Oct 7 2018, 1:59 PM

Since I am not active since a long time ago but this is still assigned to me I reassign it to Daimona, who is more active and has taken over the original patch.
Hope you finish it, @Daimona :)

@Se4598 Sure, I just converted it to use OOUI and made some tests to ensure it works :-)

Change 164987 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Allow selecting custom disallow message

https://gerrit.wikimedia.org/r/164987

matmarex closed this task as Resolved.Oct 11 2018, 6:38 PM
matmarex removed a project: Patch-For-Review.

Thank you for working on this, @Se4598 and @Daimona!

Tech News message could be something like this:

Abuse filters that prevent edits can now use a custom error message, instead of using warnings.

@matmarex Thanks :-) As for Tech News, maybe

Abuse filters that prevent edits can now use a custom error message, instead of using a predefined one.

could be even better, and a bit more realistic.

Johan added a subscriber: Johan.Oct 12 2018, 1:17 PM

Thanks. I simplified the language a bit further for en-1 and en-2 speakers:

When you create an abuse filter that prevents edits you can now write a specific error message for it. This is instead of using the already existing error message.

OK?

@Johan I'd say yes. The only point we could improve is the last sentence, to clearly state that, before this patch, there was a single fixed message for every filter (abusefilter-disallowed).

Johan added a comment.Oct 12 2018, 1:29 PM

"Before this all abuse filters that prevented edits had the same error message"?